Subject: Re: git log --pretty=format:%h prints (unrequired) abbreviated sha

From: Johannes Sixt <[email-masked]>
Date: Fri, 25 Sep 2009 16:12:52 +0200

Marco Costalba schrieb:
> So somehow the problem is that all the commands are lowercased, and
> this explains why pretty format %H is interpreted as %h so that sha
> abbreviated form is used.
> 
> Now the question is: how to restore normal case sensitive command parsing ?
> 
> P.S: Please, at least answer this last question ;-)

I cannot.

Please try calling the commands from CMD. To do that in a regular msysgit
installation where you did not choose the option to set the PATH, it
should be sufficient to point your PATH to
<installdir>\git\bin;<installdir>\bin;%PATH% (although I'm not sure about
the exact paths - as I said, I don't install msysgit). Does that work?

-- Hannes